SemPRecEvaluator (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.eval
Class SemPRecEvaluator

    java.lang.Object
      fr.inrialpes.exmo.align.impl.BasicEvaluator
          fr.inrialpes.exmo.align.impl.eval.PRecEvaluator
              fr.inrialpes.exmo.align.impl.eval.SemPRecEvaluator

All Implemented Interfaces:
  Evaluator

    public class SemPRecEvaluator

extends PRecEvaluator

Evaluate proximity between two alignments. This function implements Precision/Recall/Fallout. The first alignment is thus the expected one.

Version:
  $Id: SemPRecEvaluator.java 1359 2010-03-25 22:44:53Z euzenat $
Author:
  Jerome Euzenat

Field Summary
`private int` | `nbexpectedentailed`
`private int` | `nbfoundentailed`
`private fr.inrialpes.exmo.iddl.conf.Semantics` | `semantics`

Fields inherited from class fr.inrialpes.exmo.align.impl.eval.PRecEvaluator
`fallout, fmeasure, nbcorrect, nbexpected, nbfound, overall, precision, recall, time`

Fields inherited from class fr.inrialpes.exmo.align.impl.BasicEvaluator
`align1, align2, result`

Constructor Summary
`SemPRecEvaluator(Alignment align1, Alignment align2)` Creation Initiate Evaluator for precision and recall

Method Summary
`double` | `eval(Properties params, Object cache)` The formulas are standard: given a reference alignment A given an obtained alignment B which are sets of cells (linking one entity of ontology O to another of ontolohy O').
`int` | `getExpectedEntailed()`
`int` | `getFoundEntailed()`
`void` | `init(Object sem)`

Methods inherited from class fr.inrialpes.exmo.align.impl.eval.PRecEvaluator
`computeDerived, eval, getCorrect, getExpected, getFallout, getFmeasure, getFound, getOverall, getPrecision, getRecall, getTime, HTMLString, init, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nbfoundentailed

    private int nbfoundentailed

### nbexpectedentailed

    private int nbexpectedentailed

### semantics

    private fr.inrialpes.exmo.iddl.conf.Semantics semantics

Constructor Detail

### SemPRecEvaluator

    public SemPRecEvaluator(Alignment align1,
                            Alignment align2)
                     throws AlignmentException

  Creation Initiate Evaluator for precision and recall

  Parameters:
    `align1` - : the reference alignment
    `align2` - : the alignment to evaluate
  Throws:
    `AlignmentException`

Method Detail

### init

    public void init(Object sem)

### eval

    public double eval(Properties params,
                       Object cache)
                throws AlignmentException

  The formulas are standard: given a reference alignment A given an obtained alignment B which are sets of cells (linking one entity of ontology O to another of ontolohy O'). P = |A inter B| / |B| R = |A inter B| / |A| F = 2PR/(P+R) with inter = set intersection and |.| cardinal. In the implementation |B|=nbfound, |A|=nbexpected and |A inter B|=nbcorrect. This takes semantivs as a parameter which should be a litteral of fr.inrialpes.exmo.iddl.conf.Semantics

  Specified by:
    `eval` in interface `Evaluator`
  Overrides:
    `eval` in class `PRecEvaluator`
  Throws:
    `AlignmentException`

### getFoundEntailed

    public int getFoundEntailed()

### getExpectedEntailed

    public int getExpectedEntailed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010